Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 879352 - spice-gtk shouldn't ignore secure channels controller message and it should provide equivalent cli option
Summary: spice-gtk shouldn't ignore secure channels controller message and it should p...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-gtk
Version: 6.4
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: beta
: 6.5
Assignee: Marc-Andre Lureau
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 905930
TreeView+ depends on / blocked
 
Reported: 2012-11-22 16:34 UTC by David Jaša
Modified: 2017-02-06 15:17 UTC (History)
8 users (show)

Fixed In Version: spice-gtk-0.20-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: spice-gtk connects to the server plain port by default (succeeds only if server provides it). Consequence: spice-gtk can't be told to connect to secure port by default. Fix: Learn to connect only to secure port. Result: spice-gtk can be told to connect to secure port instead of always trying plain port first.
Clone Of:
Environment:
Last Closed: 2013-11-21 08:24:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1577 0 normal SHIPPED_LIVE spice-gtk bug fix and enhancement update 2013-11-21 00:40:45 UTC

Description David Jaša 2012-11-22 16:34:07 UTC
Description of problem:
spice-gtk shouldn't ignore secure channels controller message and it should provide equivalent cli option

Version-Release number of selected component (if applicable):
spice-gtk-0.14-4.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. run qemu-kvm with both tls and plaintext ports listening but no default channel set
2a. connect from test page with some channel set to secure in the page
2b. try to specify the secure channel on the command line
  
Actual results:
a: spice-gtk-based client happily connects on plaintext port
b: there's no way to set the channels to be connected on secure port

Expected results:
spice-gtk should connect to tls-port right away and fail the whole connection if the channel connection fails (iow it should behave exactly the same as spicec)

Additional info:
plaintext channels should be possible to be specified the same way but there is lack of plugin and controller support for them: bug 879343. It would be nice to have this issue handled for them in one go however.

Note that this _is not_ a security issue as the tls channel enforcement is done primarily server side where there is no similar problem.

Comment 1 Marc-Andre Lureau 2013-04-12 02:24:33 UTC
Patches upstream.

Comment 2 Michal Skrivanek 2013-04-29 16:10:59 UTC
This is blocking bug 905930 which has a serious impact on RHEV SSO. The screen is locked whenever user connects. Currently the workaround in 905930 in 3.2 is to sleep for 2 seconds and if no other event comes just ignore the event. But that's clearly a very poor "solution"

Comment 10 errata-xmlrpc 2013-11-21 08:24:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1577.html


Note You need to log in before you can comment on or make changes to this bug.